<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Document</title>
    <style>
        li:nth-child(odd) {
            background: silver;
        }
    </style>
</head>

<body>
    <div>
        <ul>
            <li>
                <p>
                    Створіть функцію user, зробіть так, щоб функція виводила в консоль контекст
                    <br><br>
                    Створіть об'єкт userOne, додайте до нього властивості ім'я, прізвище, вік та функцію, яка буде
                    виводити
                    <q> Привіт! Я ім'я + прізвище</q>

                    Виведіть ім'я та прізвище користувача з об'єкта userOne.
                    <br><br>
                    Зробіть так, щоб контекст у методі об'єкта userOne був глобальним об'єктом window.
                    <br><br>
                    Створіть ще один об'єкт userTwo і заповніть його тими самими властивостями, але без методу.
                    <br><br>
                    Виведіть інформацію з об'єкта userTwo, використовуючи метод об'єкта userOne.
                    <br><br>
                    Робота з контекстом (bind call apply)
                    <a
                        href="https://medium.com/@stasonmars/%D0%BF%D0%BE%D0%B4%D1%80%D0%BE%D0%B1%D0%BD%D0%BE-%D0% BE-%D0%BC%D0%B5%D1%82%D0%BE%D0%B4%D0%B0%D1%85-apply-call-%D0%B8-bind-%D0%BD%D0%B5 %D0%BE%D0%B1%D1%85%D0%BE%D0%B4%D0%B8%D0%BC%D1%8B%D1%85-%D0%BA%D0%B0%D0%B6% D0%B4%D0%BE%D0%BC%D1%83-javascript-%D1%80%D0%B0%D0%B7%D1%80%D0%B0%D0%B1%D0%BE%D1%82 %D1%87%D0%B8%D0%BA%D1%83-ddd5f9b06290">bind
                        call apply</a>
                </p>
            </li>
            <li>
                <p>
                    Створіть метод, який буде множити елементи масиву на те число, яке буде передавати
                    Користувач.
                    Зробіть так, щоб метод успадковувався кожним масивом подібно до методу pop().
                </p>

            </li>
            <li>
                Сделайте функцию, каждый вызов который будет генерировать случайные числа от 1 до 100, но так, чтобы они
                не повторялись, пока не будут перебраны все числа из этого промежутка. Решите задачу через замыкания - в
                замыкании должен хранится массив чисел, которые уже были сгенерированы функцией.
            </li>
        </ul>
    </div>
</body>

</html>